升级后Laravel持续出错?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (1)
  • 关注 (0)
  • 查看 (227)

警告:需要(/customers/3/5/2/manudahmen.be/httpd.www/tetede.co/vendor/composer /../../ src / Illuminate / Foundation / helpers.php):无法打开流:第66行/customers/3/5/2/manudahmen.be/httpd.www/tetede.co/vendor/composer/autoload_real.php中没有这样的文件或目录致命错误:require():无法打开所需的'/ customers / 3/5/2 / manudahmen.be / httpd.www / tetede.co / vendor / composer /../../ src / Illuminate / Foundation / helpers.php'(include_path ='。:/ usr / share / php')在66行/customers/3/5/2/manudahmen.be/httpd.www/tetede.co/vendor/composer/autoload_real.php

我不明白为什么路径不正确。

config / app.php选中。

C:\Users\manue\PhpstormProjects\StockFiches>\php\php composer.phar status
You are running Composer with SSL/TLS protection disabled.
No local changes

C:\Users\manue\PhpstormProjects\StockFiches>\php\php composer.phar show
You are running Composer with SSL/TLS protection disabled.
aws/aws-sdk-php                       3.60.0  AWS SDK for PHP - Use...
dnoegel/php-xdg-base-dir              0.1     implementation of xdg...
doctrine/annotations                  v1.6.0  Docblock Annotations ...
doctrine/cache                        v1.7.1  Caching library offer...
doctrine/collections                  v1.5.0  Collections Abstracti...
doctrine/common                       v2.8.1  Common Library for Do...
doctrine/dbal                         v2.7.1  Database Abstraction ...
doctrine/inflector                    v1.3.0  Common String Manipul...
doctrine/instantiator                 1.1.0   A small, lightweight ...
doctrine/lexer                        v1.0.1  Base library for a le...
dragonmantank/cron-expression         v2.1.0  CRON for PHP: Calcula...
egulias/email-validator               2.1.4   A library for validat...
erusev/parsedown                      1.7.1   Parser for Markdown.
fideloper/proxy                       4.0.0   Set trusted proxies f...
filp/whoops                           2.1.14  php error handling fo...
fzaninotto/faker                      v1.7.1  Faker is a PHP librar...
guzzlehttp/guzzle                     6.3.3   Guzzle is a PHP HTTP ...
guzzlehttp/promises                   v1.3.1  Guzzle promises library
guzzlehttp/psr7                       1.4.2   PSR-7 message impleme...
guzzlehttp/streams                    3.0.0   Provides a simple abs...
hamcrest/hamcrest-php                 v2.0.0  This is the PHP port ...
jakub-onderka/php-console-color       0.1
jakub-onderka/php-console-highlighter v0.3.2
laravel/laravel                       v5.6.21 The Laravel Framework.
laravel/tinker                        v1.0.7  Powerful REPL for the...
league/flysystem                      1.0.45  Filesystem abstractio...
league/flysystem-cached-adapter       1.0.6   An adapter decorator ...
mockery/mockery                       1.1.0   Mockery is a simple y...
monolog/monolog                       1.23.0  Sends your logs to fi...
moontoast/math                        1.1.2   A mathematics library...
mtdowling/jmespath.php                2.4.0   Declaratively specify...
myclabs/deep-copy                     1.8.0   Create deep copies (c...
nesbot/carbon                         1.25.0  A simple API extensio...
nikic/php-parser                      v4.0.1  A PHP parser written ...
orchestra/testbench-core              v3.6.5  Testing Helper for La...
paragonie/random_compat               v2.0.12 PHP 5.x polyfill for ...
pda/pheanstalk                        v3.1.0  PHP client for beanst...
phar-io/manifest                      1.0.1   Component for reading...
phar-io/version                       1.0.1   Library for handling ...
phpdocumentor/reflection-common       1.0.1   Common reflection cla...
phpdocumentor/reflection-docblock     4.3.0   With this component, ...
phpdocumentor/type-resolver           0.4.0
phpspec/prophecy                      1.7.6   Highly opinionated mo...
phpunit/php-code-coverage             6.0.7   Library that provides...
phpunit/php-file-iterator             2.0.0   FilterIterator implem...
phpunit/php-text-template             1.2.1   Simple template engine.
phpunit/php-timer                     2.0.0   Utility class for timing
phpunit/php-token-stream              3.0.0   Wrapper around PHP's ...
phpunit/phpunit                       7.2.3   The PHP Unit Testing ...
predis/predis                         v1.1.1  Flexible and feature-...
psr/cache                             1.0.1   Common interface for ...
psr/container                         1.0.0   Common Container Inte...
psr/http-message                      1.0.1   Common interface for ...
psr/log                               1.0.2   Common interface for ...
psr/simple-cache                      1.0.1   Common interfaces for...
psy/psysh                             v0.9.5  An interactive shell ...
ramsey/uuid                           3.7.3   Formerly rhumsaa/uuid...
sebastian/code-unit-reverse-lookup    1.0.1   Looks up which functi...
sebastian/comparator                  3.0.0   Provides the function...
sebastian/diff                        3.0.0   Diff implementation
sebastian/environment                 3.1.0   Provides functionalit...
sebastian/exporter                    3.1.0   Provides the function...
sebastian/global-state                2.0.0   Snapshotting of globa...
sebastian/object-enumerator           3.0.3   Traverses array struc...
sebastian/object-reflector            1.1.1   Allows reflection of ...
sebastian/recursion-context           3.0.0   Provides functionalit...
sebastian/resource-operations         1.0.0   Provides a list of PH...
sebastian/version                     2.0.1   Library that helps wi...
swiftmailer/swiftmailer               v6.0.2  Swiftmailer, free fea...
symfony/console                       v4.1.0  Symfony Console Compo...
symfony/css-selector                  v4.1.0  Symfony CssSelector C...
symfony/debug                         v4.1.0  Symfony Debug Component
symfony/dom-crawler                   v4.1.0  Symfony DomCrawler Co...
symfony/event-dispatcher              v4.1.0  Symfony EventDispatch...
symfony/finder                        v4.1.0  Symfony Finder Component
symfony/http-foundation               v4.1.0  Symfony HttpFoundatio...
symfony/http-kernel                   v4.1.0  Symfony HttpKernel Co...
symfony/polyfill-ctype                v1.8.0  Symfony polyfill for ...
symfony/polyfill-mbstring             v1.8.0  Symfony polyfill for ...
symfony/polyfill-php72                v1.8.0  Symfony polyfill back...
symfony/process                       v4.1.0  Symfony Process Compo...
symfony/routing                       v4.1.0  Symfony Routing Compo...
symfony/translation                   v4.1.0  Symfony Translation C...
symfony/var-dumper                    v4.1.0  Symfony mechanism for...
theseer/tokenizer                     1.1.0   A small library for c...
tijsverkoyen/css-to-inline-styles     2.2.1   CssToInlineStyles is ...
vlucas/phpdotenv                      v2.4.0  Loads environment var...
webmozart/assert                      1.3.0   Assertions to validat...
提问于
用户回答回答于

一个原因是对于教义包而言并没有接受语义版本。为了解决它在你的composer.json修复学说版本

"require": { 
    .........................
    "doctrine/dbal": "2.5.0",
    "doctrine/inflector":"1.1.0",

扫码关注云+社区

领取腾讯云代金券